## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesParserLiaison::DocumentEntry Struct Reference

`#include <XercesParserLiaison.hpp>`

Collaboration diagram for XercesParserLiaison::DocumentEntry:

[legend]
List of all members.

## Public Methods

- bool isDeprecated () const
- bool isOwned () const
- DocumentEntry& operator= (XercesDocumentWrapper *theWrapper)

## Public Attributes

- bool m_isOwned
- XercesDocumentWrapper* m_wrapper

## Member Function Documentation

bool XercesParserLiaison::DocumentEntry::isDeprecated ( | ) const

bool XercesParserLiaison::DocumentEntry::isOwned ( | ) const

DocumentEntry & XercesParserLiaison::DocumentEntry::operator= ( | XercesDocumentWrapper * theWrapper )

## Member Data Documentation

bool XercesParserLiaison::DocumentEntry::m_isOwned

XercesDocumentWrapper * XercesParserLiaison::DocumentEntry::m_wrapper

The documentation for this struct was generated from the following file:

- XercesParserLiaison.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.